Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Day/Month values.
        AddHeader("Day/Month")
        AddArrayItems("Day", My.Computer.Info.InstalledUICulture.DateTimeFormat.DayNames)
        AddArrayItems("Abbrev Day", My.Computer.Info.InstalledUICulture.DateTimeFormat.AbbreviatedDayNames)
        AddArrayItems("Short Days", My.Computer.Info.InstalledUICulture.DateTimeFormat.ShortestDayNames)
        AddArrayItems("Month", My.Computer.Info.InstalledUICulture.DateTimeFormat.MonthNames)
        AddArrayItems("Abbrev Month", My.Computer.Info.InstalledUICulture.DateTimeFormat.AbbreviatedMonthNames)

        ' Date/Time values.
        AddHeader("Date/Time Format")
        AddItem("AMDesignator", My.Computer.Info.InstalledUICulture.DateTimeFormat.AMDesignator)
        AddItem("DateSeparator", My.Computer.Info.InstalledUICulture.DateTimeFormat.DateSeparator)
        AddItem("FirstDayOfWeek", My.Computer.Info.InstalledUICulture.DateTimeFormat.FirstDayOfWeek)
        AddItem("FullDateTimePattern", My.Computer.Info.InstalledUICulture.DateTimeFormat.FullDateTimePattern)
        AddItem("LongDatePattern", My.Computer.Info.InstalledUICulture.DateTimeFormat.LongDatePattern)
        AddItem("LongTimePattern", My.Computer.Info.InstalledUICulture.DateTimeFormat.LongTimePattern)
        AddItem("MonthDayPattern", My.Computer.Info.InstalledUICulture.DateTimeFormat.MonthDayPattern)
        AddItem("NativeCalendarName", My.Computer.Info.InstalledUICulture.DateTimeFormat.NativeCalendarName)
        AddItem("PMDesignator", My.Computer.Info.InstalledUICulture.DateTimeFormat.PMDesignator)
        AddItem("RFC1123Pattern", My.Computer.Info.InstalledUICulture.DateTimeFormat.RFC1123Pattern)
        AddItem("ShortDatePattern", My.Computer.Info.InstalledUICulture.DateTimeFormat.ShortDatePattern)
        AddItem("ShortTimePattern", My.Computer.Info.InstalledUICulture.DateTimeFormat.ShortTimePattern)
        AddItem("SortableDateTimePattern", My.Computer.Info.InstalledUICulture.DateTimeFormat.SortableDateTimePattern)
        AddItem("TimeSeparator", My.Computer.Info.InstalledUICulture.DateTimeFormat.TimeSeparator)

        ' Culture values.
        AddHeader("Culture")
        AddItem("Culture Name", My.Computer.Info.InstalledUICulture.Name)
        AddItem("Culture Native Name", My.Computer.Info.InstalledUICulture.NativeName)
        AddItem("Culture Display Name", My.Computer.Info.InstalledUICulture.DisplayName)
        AddItem("Culture English Name", My.Computer.Info.InstalledUICulture.EnglishName)
        AddItem("IetfLanguageTag", My.Computer.Info.InstalledUICulture.IetfLanguageTag)
        AddItem("IsNeutralCulture", My.Computer.Info.InstalledUICulture.IsNeutralCulture)

        ' Currency values.
        AddHeader("Currency Format")
        AddItem("Decimal Digits", My.Computer.Info.InstalledUICulture.NumberFormat.CurrencyDecimalDigits)
        AddItem("Decimal Separator", My.Computer.Info.InstalledUICulture.NumberFormat.CurrencyDecimalSeparator)
        AddItem("Group Separator", My.Computer.Info.InstalledUICulture.NumberFormat.CurrencyGroupSeparator)
        AddIntegerArrayItems("Group Size", My.Computer.Info.InstalledUICulture.NumberFormat.CurrencyGroupSizes)
        AddItem("Negative Pattern", My.Computer.Info.InstalledUICulture.NumberFormat.CurrencyNegativePattern)
        AddItem("Positive Pattern", My.Computer.Info.InstalledUICulture.NumberFormat.CurrencyPositivePattern)
        AddItem("Currency Symbol", My.Computer.Info.InstalledUICulture.NumberFormat.CurrencySymbol)

        ' Number values.
        AddHeader("Number Format")
        AddItem("NaN", My.Computer.Info.InstalledUICulture.NumberFormat.NaNSymbol)
        AddArrayItems("Native Digits", My.Computer.Info.InstalledUICulture.NumberFormat.NativeDigits)
        AddItem("Infinity Symbol", My.Computer.Info.InstalledUICulture.NumberFormat.NegativeInfinitySymbol)
        AddItem("Negative Sign", My.Computer.Info.InstalledUICulture.NumberFormat.NegativeSign)
        AddItem("Decimal Separator", My.Computer.Info.InstalledUICulture.NumberFormat.NumberDecimalSeparator)
        AddItem("Group Separator", My.Computer.Info.InstalledUICulture.NumberFormat.NumberGroupSeparator)
        AddIntegerArrayItems("Group Size", My.Computer.Info.InstalledUICulture.NumberFormat.PercentGroupSizes)
        AddItem("Negative Pattern", My.Computer.Info.InstalledUICulture.NumberFormat.NumberNegativePattern)
        AddItem("Positive Infinity Symbol", My.Computer.Info.InstalledUICulture.NumberFormat.PositiveInfinitySymbol)
        AddItem("Positive Sign", My.Computer.Info.InstalledUICulture.NumberFormat.PositiveSign)

        ' Percent values.
        AddHeader("Percent Format")
        AddItem("Decimal Digits", My.Computer.Info.InstalledUICulture.NumberFormat.PercentDecimalDigits)
        AddItem("Decimal Separator", My.Computer.Info.InstalledUICulture.NumberFormat.PercentDecimalSeparator)
        AddItem("Group Separator", My.Computer.Info.InstalledUICulture.NumberFormat.PercentGroupSeparator)
        AddIntegerArrayItems("Group Size", My.Computer.Info.InstalledUICulture.NumberFormat.PercentGroupSizes)
        AddItem("Negative Pattern", My.Computer.Info.InstalledUICulture.NumberFormat.PercentNegativePattern)
        AddItem("Positive Pattern", My.Computer.Info.InstalledUICulture.NumberFormat.PercentPositivePattern)
        AddItem("Percent Symbol", My.Computer.Info.InstalledUICulture.NumberFormat.PercentSymbol)
        AddItem("PerMilleSymbol", My.Computer.Info.InstalledUICulture.NumberFormat.PerMilleSymbol)

        lvwValues.Columns(0).Width = -2
        lvwValues.Columns(1).Width = -2

        ' Make it really tall.
        Me.Top = 0
        Me.Height = My.Computer.Screen.WorkingArea.Height
    End Sub

    ' Add a header row.
    Private Sub AddHeader(ByVal name As String)
        Dim lvi As ListViewItem = lvwValues.Items.Add(name)
        lvi.BackColor = Color.Pink
    End Sub
 
    ' Add a value to the result.
    Private Sub AddItem(ByVal name As String, ByVal value As String)
        Dim lvi As ListViewItem = lvwValues.Items.Add(name)
        lvi.SubItems.Add(value)
    End Sub

    ' Add all values in an array.
    Private Sub AddArrayItems(ByVal name As String, ByVal values() As String)
        For i As Integer = 0 To values.Length - 1
            AddItem(name & "(" & i & ")", values(i))
        Next i
    End Sub

    ' Add all values in an integer array.
    Private Sub AddIntegerArrayItems(ByVal name As String, ByVal values() As Integer)
        For i As Integer = 0 To values.Length - 1
            AddItem(name & "(" & i & ")", values(i))
        Next i
    End Sub
End Class
